Bug 106042 - Automountdaemon does not work and is built incorrectly from SRPM
Automountdaemon does not work and is built incorrectly from SRPM
Product: Red Hat Linux Beta
Classification: Retired
Component: autofs (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-10-02 04:00 EDT by Albert Fluegel
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-20 16:49:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Albert Fluegel 2003-10-02 04:00:41 EDT
Description of problem:
The automountd (version 3) is not working on x86_64 platform.
When building autofs-4.0.X from source the created binary is
not working either. To be more precise: Mounting takes place,
but expiring does not and there are error messages in the
syslog. Reason is in /usr/include/linux/auto_fs.h, lines 41-45:
#if !defined(__alpha__) && !defined(__ia64__)
typedef unsigned int autofs_wqt_t;
typedef unsigned long autofs_wqt_t;
Here a macro should be checked, whether it's a 64 Bit architecture
and not particularly, which one.

Version-Release number of selected component (if applicable):
The header is part of glibc-kernheaders-2.4-8.29

How reproducible:
Build automountd from source on x86_64

Steps to Reproduce:
1. Build automountd from source
2. configure and start it
3. make autofs mount some directory, wait for expiry
Actual results:
auto-mounted filesystem does not get unmounted, instead
a message appears in the syslog about an unknown command.
Reason is the wrong size of the type like explained above.
Strange enough: Inside the kernel for x86_64, the type seems
to be 32 bit.

Expected results:
Mountpoint expires, no error message

Additional info:
automountd version 4 is not part of the RedHat distribution, but we
need it here for hierarchical mounts.
Comment 1 Jeffrey Moyer 2004-09-20 16:49:24 EDT
Fedora fixes this.

Note You need to log in before you can comment on or make changes to this bug.